#include "freelogin.h"
#include <QDebug>
#include <QtXml>
namespace FreeAPI
{
    FreeLogin::FreeLogin(const QString& login, const QString& pass,QObject *parent) :
            QObject(parent), mLogin(login),mPass(pass)
    {
        mHttp= new QHttp(this);
        connect(mHttp,SIGNAL(done(bool)),this,SLOT(done(bool)));
        load();
    }
    void FreeLogin::load()
    {
        mHttp->setHost(FREEGO_HOST);
        mHttp->get("/identification.php?login="+mLogin+"&pass="+mPass);
    }
    void FreeLogin::done(bool error)
    {

        if ( error)
        {
            qDebug()<<"error"<<mHttp->errorString();
            emit failed();
            return;
        }

        QDomDocument doc;
        doc.setContent(mHttp->readAll());


        QString id= doc.documentElement().elementsByTagName("id").at(0).toElement().text();
        QString idt= doc.documentElement().elementsByTagName("idt").at(0).toElement().text();

        mId = id;
        mIdt = idt;

        emit success();


    }
}
